package com.bocloud.cmp.model;

public class VolumeMirrorModel {
    private String keyPath; // path
    private String volumeUuid; // 存储卷uuid
    private String poolUuid; // 存储池uuid
    private String poolIdentifier; // 存储池identifier
    private String mirrorUuid; // 拷贝uuid
    private String name; // 名称
    private Long usedCapacity; // 已用容量
    private Long realCapacity; // 实际容量
    private String type; // 类型
    private String status; // 状态
    private String fastWriteState; // 快速写入状态
    private Integer warning; // 告警阈值
    private Integer grainSize; // 自动精简配置颗粒度
    private Boolean autoExpand; // 自动扩展
    private Boolean primary; // 是否主拷贝
    private Boolean copySynced; // ???????
    private Boolean isSpaceEfficient; // ???????

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getVolumeUuid() {
        return volumeUuid;
    }

    public void setVolumeUuid(String volumeUuid) {
        this.volumeUuid = volumeUuid;
    }

    public String getMirrorUuid() {
        return mirrorUuid;
    }

    public void setMirrorUuid(String mirrorUuid) {
        this.mirrorUuid = mirrorUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getUsedCapacity() {
        return usedCapacity;
    }

    public void setUsedCapacity(Long usedCapacity) {
        this.usedCapacity = usedCapacity;
    }

    public Long getRealCapacity() {
        return realCapacity;
    }

    public void setRealCapacity(Long realCapacity) {
        this.realCapacity = realCapacity;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFastWriteState() {
        return fastWriteState;
    }

    public void setFastWriteState(String fastWriteState) {
        this.fastWriteState = fastWriteState;
    }

    public Integer getWarning() {
        return warning;
    }

    public void setWarning(Integer warning) {
        this.warning = warning;
    }

    public Integer getGrainSize() {
        return grainSize;
    }

    public void setGrainSize(Integer grainSize) {
        this.grainSize = grainSize;
    }

    public Boolean getAutoExpand() {
        return autoExpand;
    }

    public void setAutoExpand(Boolean autoExpand) {
        this.autoExpand = autoExpand;
    }

    public Boolean getPrimary() {
        return primary;
    }

    public void setPrimary(Boolean primary) {
        this.primary = primary;
    }

    public Boolean getCopySynced() {
        return copySynced;
    }

    public void setCopySynced(Boolean copySynced) {
        this.copySynced = copySynced;
    }

    public Boolean getSpaceEfficient() {
        return isSpaceEfficient;
    }

    public void setSpaceEfficient(Boolean spaceEfficient) {
        isSpaceEfficient = spaceEfficient;
    }

    public String getPoolUuid() {
        return poolUuid;
    }

    public void setPoolUuid(String poolUuid) {
        this.poolUuid = poolUuid;
    }

    public String getPoolIdentifier() {
        return poolIdentifier;
    }

    public void setPoolIdentifier(String poolIdentifier) {
        this.poolIdentifier = poolIdentifier;
    }
}
